Skip to navigation

Get a workflow task group

Get a workflow task group

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

workflow_task_group_idstringRequired
The ID of the workflow task group

Response

OK
displayIdstringOptional

User-friendly ID of the workflow task group

idstringOptionalRead-only
The ID of the workflow task group
namestringOptional
The name of the workflow task group
archiveRecordobject or nullOptional
createdAtstringOptional
The ISO formatted date and time that the task group was created
creationOriginobjectOptional
creatorobjectOptional
folderobjectOptional
modifiedAtstringOptional
The ISO formatted date and time that the task group was last modified
outputslist of objectsOptional
The outputs of the workflow task group
responsibleTeamobject or nullOptional
watcherslist of objectsOptional
The users watching the workflow task group
webURLstringOptionalRead-onlyformat: "uri"
URL of the workflow task group
workflowTaskSchemaobjectOptional
workflowTaskslist of objectsOptional
The input tasks to the workflow task group
executionTypeenumOptional
The method by which the workflow is executed
flowchartConfigVersionIdstringOptional
The flowchart configuration that this task group uses. This will be null if the task group does not have executionType FLOWCHART.
flowchartTaskGroupslist of objectsOptional

The task groups that are members of the flowchart that this task group is the root of. This will be null this task group is not the root task group of a flowchart (eg if the task group does not have executionType FLOWCHART).

nodeConfigobjectOptional
The node in a Flowchart that this task group is associated with. This will be null if the task group is not part of a flowchart.
rootTaskGroupobjectOptional
The task group associated with the root node of the flowchart that this task group is a part of. This will be null if the task group is not part of a flowchart.
workflowOutputslist of objectsOptional
The outputs of the workflow task group

Errors

404
Not Found Error